package com.bocloud.cmp.model.tencent.storage;

import java.util.List;

public class FileSystemModel {
    private String fileSystemId;//文件系统id
    private String fileSystemName;//文件系统名称
    private String createTime;//创建时间
    private Float maximumThroughput;//吞吐上限
    private String fileSystemStatus;//文件系统状态
    private Long useByte;//已使用量
    private Long fileSystemSizeTotal;//总量
    private Long spaceConstraintsMax;//最大空间限制
    private Long zoneId;//区域ID
    private String regionId;
    private String AvailabilityZone;//可用区
    private String protocol;//协议类型
    private String storageType;//文件存储类型
    private String permissionsId;//权限id
    private String permissionsName;//权限名称
    private String fsName;//名称
    private Boolean encryption;//是否加密
    private String encryptionKeyId;//加密Id
    private Long appId;//应用id
    private String ip;//ip地址
    private String vpcId;//所属网络

    public String getVpcId() {
        return vpcId;
    }

    public void setVpcId(String vpcId) {
        this.vpcId = vpcId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getFileSystemId() {
        return fileSystemId;
    }

    public void setFileSystemId(String fileSystemId) {
        this.fileSystemId = fileSystemId;
    }

    public String getFileSystemName() {
        return fileSystemName;
    }

    public void setFileSystemName(String fileSystemName) {
        this.fileSystemName = fileSystemName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Float getMaximumThroughput() {
        return maximumThroughput;
    }

    public void setMaximumThroughput(Float maximumThroughput) {
        this.maximumThroughput = maximumThroughput;
    }

    public String getFileSystemStatus() {
        return fileSystemStatus;
    }

    public void setFileSystemStatus(String fileSystemStatus) {
        this.fileSystemStatus = fileSystemStatus;
    }

    public Long getUseByte() {
        return useByte;
    }

    public void setUseByte(Long useByte) {
        this.useByte = useByte;
    }

    public Long getFileSystemSizeTotal() {
        return fileSystemSizeTotal;
    }

    public void setFileSystemSizeTotal(Long fileSystemSizeTotal) {
        this.fileSystemSizeTotal = fileSystemSizeTotal;
    }

    public Long getSpaceConstraintsMax() {
        return spaceConstraintsMax;
    }

    public void setSpaceConstraintsMax(Long spaceConstraintsMax) {
        this.spaceConstraintsMax = spaceConstraintsMax;
    }

    public Long getZoneId() {
        return zoneId;
    }

    public void setZoneId(Long zoneId) {
        this.zoneId = zoneId;
    }

    public String getAvailabilityZone() {
        return AvailabilityZone;
    }

    public void setAvailabilityZone(String availabilityZone) {
        AvailabilityZone = availabilityZone;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getStorageType() {
        return storageType;
    }

    public void setStorageType(String storageType) {
        this.storageType = storageType;
    }

    public String getPermissionsId() {
        return permissionsId;
    }

    public void setPermissionsId(String permissionsId) {
        this.permissionsId = permissionsId;
    }

    public String getPermissionsName() {
        return permissionsName;
    }

    public void setPermissionsName(String permissionsName) {
        this.permissionsName = permissionsName;
    }

    public String getFsName() {
        return fsName;
    }

    public void setFsName(String fsName) {
        this.fsName = fsName;
    }

    public Boolean getEncryption() {
        return encryption;
    }

    public void setEncryption(Boolean encryption) {
        this.encryption = encryption;
    }

    public String getEncryptionKeyId() {
        return encryptionKeyId;
    }

    public void setEncryptionKeyId(String encryptionKeyId) {
        this.encryptionKeyId = encryptionKeyId;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }
}
